=== tests/benchmarks/quickcontrols/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from benchmarks.pro.

add_subdirectory(creationtime)
add_subdirectory(objectcount)
